:root {
    --app-height: 100svh;
    --fs-s: 0.8vw;
    --fs-b: 6vw;
    --bg: #4A58FA;
    --color: #DCDCDC;
    --padding: 20px;
    --gap: 20px;
}
@media(max-width: 780px) {
    :root {
        --fs-s: 2.5vw;
        --fs-b: 14vw;
        --padding: 15px;
        --gap: 10px;
    }
}
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    line-height: 1em;
    outline: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
::-webkit-scrollbar {
    display: none;
}
html,
body {
    width: 100%;
    height: var(--app-height);
    scrollbar-width: none;
    -ms-overflow-style: none;
    background: var(--bg);
    color: var(--color);
    font-size: var(--fs-s);
    line-height: 1em;
    font-weight: normal;
    font-family: 'Helvetica Monospaced Pro', Arial, Helvetica, sans-serif;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    z-index: 0;
    overflow: hidden;
}
main {
    display: block;
    width: 100%;
    height: var(--app-height);
    position: relative;
    overflow: hidden;
    overflow-y: auto;
    z-index: 0;
    padding: var(--padding);
}
a {
    text-decoration: none;
    color: var(--color);
}
.main {
    display: grid;
    width: 100%;
    height: var(--app-height);
    gap: var(--padding);
    grid-template-columns: minmax(0, 1fr);
    grid-template-rows: 1fr auto auto;
    align-items: flex-start;
    align-content: flex-start;
}
.nav {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    padding: var(--padding);
    gap: 10px;
    width: 23%;
}
.nav svg {
    display: block;
    width: 100%;
    position: relative;
    pointer-events: none;
}
.buttons {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(5, minmax(0, 1fr));
    align-items: center;
    align-content: center;
    justify-content: space-between;
    gap: var(--gap);
}
.button {
    display: flex;
    width: 100%;
    background-color: var(--color);
    color: var(--bg);
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    border-radius: 40px;
    padding: calc(var(--padding) / 2);
    border: 1px solid var(--color);
}
.hero {
    display: block;
    width: 100%;
    position: relative;
}
.hero svg {
    display: block;
    width: 100%;
}

.hero svg path {
    fill: transparent;
    stroke: #00F17C;
    stroke-width: 2;
    stroke-dasharray: 2000;
    stroke-dashoffset: 2000;
    animation: drawText 2.5s ease-in forwards;
}

@keyframes drawText {
    0% {
        stroke-dashoffset: 2000;
        fill: transparent;
    }

    75% {
        stroke-dashoffset: 0;
        fill: transparent;
    }

    100% {
        stroke-dashoffset: 0;
        fill: rgb(0, 241, 124);
    }
}
.footer {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    align-items: center;
    align-content: center;
    justify-content: space-between;
    gap: var(--padding);
    row-gap: 0;
}
.footer-item {
    border-top: 1px solid var(--color);
    font-family: 'HelveticaNowDisplay';
    font-size: var(--fs-b);
    height: var(--fs-b);
}
.footer-item.last {
    border-bottom: 1px solid var(--color);
}
.footer-item p {
    font-size: var(--fs-s);
    font-family: 'Helvetica Monospaced Pro';
    padding: 5px 0;
}
.footer-item img {
    display: block;
    width: 100%;
    height: 3.5vw;
    object-fit: contain;
    object-position: left center;
}
.mobile {
    display: none;
}
@media(hover:hover) {
    .button:hover {
        background: transparent;
        color: var(--color);
    }
}
@media(max-width: 780px) {
    .nav {
        width: 60%;
    }
    .hero {
        padding-top: 12vw;
    }
    .buttons {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    .footer {
        grid-template-columns: minmax(0, 1fr);
    }
    .footer-item img {
        height: unset;
    }
    .footer-item,
    .footer-item.footer-item.last {
        border-bottom: none;
    }
    .footer-item.last.first {
        height: unset;
        padding-bottom: 5px;
        border-bottom: 1px solid var(--color);
    }
    .desktop {
        display: none;
    }
    .mobile {
        display: block;
    }
}
@font-face {
    font-family: 'Helvetica Monospaced Pro';
    src: url('/fonts/helveticamonospacedpro-rg-736658-webfont.woff2') format('woff2'),
        url('/fonts/helveticamonospacedpro-rg-736658-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'HelveticaNowDisplay';
    src: url('/fonts/helvetica_now_display_bold-webfont.woff2') format('woff2'),
        url('/fonts/helvetica_now_display_bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}